/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {UserFieldsResponse} from "./userFieldsResponse";

export class UserPrincipalResponse {
    public materialBackground: number;

    public sub: string;

    public username: string;

    public fields: UserFieldsResponse;


    public id: string;

    /**
     * Creates a UserPrincipalResponse.
     *
     * @param {number} materialBackground
     * @param {string} sub
     * @param {string} username
     * @param {UserFieldsResponse} fields
     */
    constructor(materialBackground: number, sub: string, username: string, fields: UserFieldsResponse, id: string) {
        this.materialBackground = materialBackground;
        this.sub = sub;
        this.username = username;
        this.fields = fields;
        this.id = id;
    }
}
